program Nuts;

{$APPTYPE CONSOLE}

Var t,i:byte;
    n,m,k:integer;

begin
assign(input,'nuts.in');
reset(input);
Readln(t);
for I := 1 to t do
begin
ReadLn(n,m,k);
if n*m>=k then Writeln('Yes')
          else Writeln('No');
end;


end.
